/*
 * Copyright 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 * Danbooru Client is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Danbooru Client is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Danbooru Client. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DANBOORU_TEST_CONNECT_H_
#define DANBOORU_TEST_CONNECT_H_

#include "../konachan.h"
#include "../servicebase.h"
#include "../danboorupost.h"
#include "../danboorupool.h"

#include <QDebug>
/*
 * Copyright 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 * Danbooru Client is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Danbooru Client is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Danbooru Client. If not, see <http://www.gnu.org/licenses/>.
 */

#include <QObject>

class QLabel;

namespace Danbooru {

class KonachanServiceTest: public QObject
{
Q_OBJECT

private:
    DanbooruServiceBase* m_service;
    QLabel* m_label;
public:
    KonachanServiceTest(QUrl boardUrl);
    ~KonachanServiceTest();

    void testPostService();
    void testPoolService();
    void testPoolRetrieval(int postid = 300);
    void testTagService();
    DanbooruServiceBase* service() const;

private Q_SLOTS:
    void showPostData(DanbooruPost* post);
    void showPoolData(DanbooruPool* pool);

};

}



#endif